summaryrefslogtreecommitdiff
path: root/dev/ci/ci-wrapper.sh
diff options
context:
space:
mode:
authorGravatar Benjamin Barenblat <bbaren@debian.org>2018-12-29 14:31:32 -0500
committerGravatar Benjamin Barenblat <bbaren@debian.org>2018-12-29 14:31:32 -0500
commit2708a015fcf65f72328be4296a00dd32b1f1c17a (patch)
tree696f9b5fb84817e1a5c8d9271976a92e25aef18a /dev/ci/ci-wrapper.sh
parentd7d80c5bea564b7cb0eadc33e9ee38c9d9de1cd8 (diff)
parent9043add656177eeac1491a73d2f3ab92bec0013c (diff)
Updated version 8.8.2 from 'upstream/8.8.2'
Diffstat (limited to 'dev/ci/ci-wrapper.sh')
-rwxr-xr-xdev/ci/ci-wrapper.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/dev/ci/ci-wrapper.sh b/dev/ci/ci-wrapper.sh
new file mode 100755
index 00000000..12a70176
--- /dev/null
+++ b/dev/ci/ci-wrapper.sh
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+
+# Use this script to preserve the exit code of $CI_SCRIPT when piping
+# it to `tee time-of-build.log`. We have a separate script, because
+# this only works in bash, which we don't require project-wide.
+
+set -eo pipefail
+
+function travis_fold {
+ if [ -n "${TRAVIS}" ];
+ then
+ echo "travis_fold:$1:$2"
+ fi
+}
+
+CI_NAME="$1"
+CI_SCRIPT="ci-${CI_NAME}.sh"
+
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+# assume this script is in dev/ci/, cd to the root Coq directory
+cd "${DIR}/../.."
+
+export TIMED=1
+"${DIR}/${CI_SCRIPT}" 2>&1 | tee time-of-build.log
+travis_fold 'start' 'coq.test.timing' && echo 'Aggregating timing log...'
+python ./tools/make-one-time-file.py time-of-build.log
+travis_fold 'end' 'coq.test.timing'